{{/*
An NGINX webserver used to mock an external API that returns data given a user's BSN value.
This should not be used in production.
*/}}
{{- if .Values.mockBsnChecker }}
kind: ConfigMap
apiVersion: v1
metadata:
  name: {{ include "dgh.mockWebserverName" . }}
  labels:
    {{- include "dgh.standardLabels" . | nindent 4 }}
data:
  nginx.conf: |
    server {
        listen 8020;

        location ~ ^/smi/rest/bsncheck/v2/bsn/3\d+ {
            add_header 'Content-Type' 'application/json';
            return 200 '{"bsnAanwezig": false}';
        }

        location / {
            add_header 'Content-Type' 'application/json';
            return 200 '{"bsnAanwezig": true}';
        }
    }
{{- end }}
